import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.HBox;
import javafx.scene.Cursor;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;
import javafx.scene.paint.Color;
import javafx.scene.input.MouseEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;

public class SceneExample2
        extends Application {

	private Scene scene;
	private Text actionStatus;
	private int clickCounter;

	public static void main(String [] args) {

		Application.launch(args);
	}
	
	@Override
	public void start(Stage primaryStage) {
	
		primaryStage.setTitle("JavaFX Scene Examples");

		actionStatus = new Text("JavaFX Scene example: click to set cursor and color.");
		actionStatus.setFont(Font.font("Calibri", FontWeight.NORMAL, 26));
		HBox hbox = new HBox();
		hbox.setAlignment(Pos.CENTER);
		hbox.getChildren().add(actionStatus);

		scene = new Scene(hbox, 600, 300);
		scene.setFill(Color.DARKCYAN);
		scene.setCursor(Cursor.DEFAULT);
		scene.setOnMouseClicked(new MouseClickListener());		

		primaryStage.setScene(scene);
		primaryStage.show();
	}

	private class MouseClickListener implements EventHandler<MouseEvent> {

		@Override
		public void handle(MouseEvent e) {

			scene.setCursor(Cursor.OPEN_HAND);
			scene.setFill(Color.LIGHTCYAN);
			String s = "Mouse event type [" + ++clickCounter + "]: " + e.getEventType().toString();
			actionStatus.setText(s);
		}
	}
}